Hooks:PostHook( WeaponFactoryTweakData, "init", "ContenderModInit", function(self)	
	
	--[[Default part]]
	self.parts.wpn_fps_special_contender_barrel.adds = nil
	self.parts.wpn_fps_special_contender_rail_std.adds = nil
	self.parts.wpn_fps_special_contender_rail_optic.adds = nil
	self.parts.wpn_fps_special_contender_ns_silencer.adds = nil
	
	
	--[[Ammo Behaviour]]
	self.parts.wpn_fps_special_contender_ammo_AP.has_description = true
	self.parts.wpn_fps_special_contender_ammo_AP.override = {
		wpn_fps_special_contender_shell_rifle = {unit = "units/mods/weapons/wpn_fps_special_contender_pts/wpn_fps_special_contender_shell-AP"}
	}
	self.parts.wpn_fps_special_contender_ammo_AP.custom_stats = {
		rays = 1,
		armor_piercing_add = 1,
		can_shoot_through_enemy = true, 
		can_shoot_through_shield = true, 
		can_shoot_through_wall = true
	}
	self.parts.wpn_fps_special_contender_ammo_22lr.has_description = true
	self.parts.wpn_fps_special_contender_ammo_22lr.override = {
		wpn_fps_special_contender_shell_rifle = {unit = "units/mods/weapons/wpn_fps_special_contender_pts/wpn_fps_special_contender_shell-22"}
	}
	self.parts.wpn_fps_special_contender_ammo_22lr.custom_stats = {
		rays = 1,
		armor_piercing_add = 0,
		can_shoot_through_enemy = false, 
		can_shoot_through_shield = false, 
		can_shoot_through_wall = false,
		ammo_pickup_min_mul = 2,
		ammo_pickup_max_mul = 2.25
	}
	self.parts.wpn_fps_special_contender_ammo_410bore.has_description = true
	self.parts.wpn_fps_special_contender_ammo_410bore.override = {
		wpn_fps_special_contender_shell_rifle = {unit = "units/mods/weapons/wpn_fps_special_contender_pts/wpn_fps_special_contender_shell-410"}
	}
	self.parts.wpn_fps_special_contender_ammo_410bore.custom_stats = {
		rays = 10,
		armor_piercing_add = 0,
		can_shoot_through_enemy = false, 
		can_shoot_through_shield = false, 
		can_shoot_through_wall = false,
		damage_far_mul = 0.35,
		damage_near_mul = 0.225
	}
	
	
	--[[Optic Stance]]
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender = { translation = Vector3(0, 16, -3.75) }
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_special_contender = { translation = Vector3(0, 12, -3.75) }
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_special_contender = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_special_contender)
	
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_special_contender = { translation = Vector3(0, 16, -3.75) }
	
	local optic_rail = {
		"wpn_fps_upg_o_specter",
		"wpn_fps_upg_o_aimpoint",
		"wpn_fps_upg_o_aimpoint_2",
		"wpn_fps_upg_o_docter",	
		"wpn_fps_upg_o_eotech",	
		"wpn_fps_upg_o_t1micro",	
		"wpn_fps_upg_o_cmore",	
		"wpn_fps_upg_o_acog",	
		"wpn_fps_upg_o_cs",	
		"wpn_fps_upg_o_eotech_xps",	
		"wpn_fps_upg_o_reflex",	
		"wpn_fps_upg_o_rx30",	
		"wpn_fps_upg_o_rx01",
		"wpn_fps_upg_o_spot",
		"wpn_fps_upg_o_xpsg33_magnifier"
	}
	for i, sight_parts in ipairs(optic_rail) do
		--optic rail added
		if sight_parts ~= "wpn_fps_upg_o_xpsg33_magnifier" then
			self.wpn_fps_special_contender.adds[sight_parts] = {"wpn_fps_special_contender_rail_optic"}
		end
	end
		
end)